curl --request GET \
--url https://api.skulabs.com/customer/get_customer \
--header 'Authorization: Bearer <token>'{
"customer": {
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"company": "<string>",
"phone": "<string>",
"email": "<string>",
"address": {},
"notes": [
{
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"note": "<string>"
}
],
"price_lists": [
"<string>"
],
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"details": {},
"time": "2025-01-15T12:00:00.000Z"
}
],
"store_id": "507f1f77bcf86cd799439011"
}
}Retrieve a single customer by ID with full details including notes and activity log.
curl --request GET \
--url https://api.skulabs.com/customer/get_customer \
--header 'Authorization: Bearer <token>'{
"customer": {
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"company": "<string>",
"phone": "<string>",
"email": "<string>",
"address": {},
"notes": [
{
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"note": "<string>"
}
],
"price_lists": [
"<string>"
],
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"details": {},
"time": "2025-01-15T12:00:00.000Z"
}
],
"store_id": "507f1f77bcf86cd799439011"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Customer ID
"507f1f77bcf86cd799439011"
Customer found
Customer object with full details
Show child attributes